Name:           ktimetracker
Version:        6.0.0
Release:        1%{?dist}
Summary:        Todo management and time tracker

License:        CC-BY-SA-4.0 AND GPL-2.0-or-later AND BSD-2-Clause AND CC0-1.0 AND GPL-2.0-only AND LGPL-3.0-only AND GFDL-1.2-only AND GPL-3.0-only
URL:            https://invent.kde.org/pim/%{name}
Source0:        https://download.kde.org/unstable/ktimetracker/%{name}-%{version}.tar.xz
Source1:        https://download.kde.org/unstable/ktimetracker/%{name}-%{version}.tar.xz.sig

BuildRequires:  gcc-c++
BuildRequires:  kf6-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Core5Compat)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)

Requires:       hicolor-icon-theme


%description
KTimeTracker tracks time spent on various tasks.
It is useful for tracking hours to be billed to
different clients or just to find out what percentage
of your day is spent playing Doom or reading Slashdot.

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-html

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.kde.ktimetracker.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/org.kde.ktimetracker.appdata.xml

%files -f %{name}.lang
%license LICENSES/*
%doc README.md CONTRIBUTING.md ChangeLog.md
%{_kf6_bindir}/ktimetracker
%{_kf6_datadir}/applications/org.kde.ktimetracker.desktop
%{_kf6_datadir}/dbus-1/interfaces/org.kde.ktimetracker.ktimetracker.xml
%{_kf6_datadir}/icons/breeze-dark/*/apps/ktimetracker.svg
%{_kf6_datadir}/icons/hicolor/*/apps/ktimetracker.svg
%{_metainfodir}/org.kde.ktimetracker.appdata.xml

%changelog
* Sun Jun 22 2025 Steve Cossette <farchord@gmail.com> - 6.0.0-1
- Initial release
